## sdpa 7.3.2.dfsg

=== etc/Makefile ===
# This file is a component of SDPA
# Copyright (C) 2004-2010 SDPA Project

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

SDPA_MAKEFILE = ../Makefile
# This file is automatically made by './configure' script
###################################################################
# The following variables are set from 
# the arguments given to './configure' script for building SDPA
###################################################################
SDPA_PACKAGE= ${shell grep "^PACKAGE_STRING =" ${SDPA_MAKEFILE} | awk '{printf("%s.%s",$$3,$$4)}'}

SDPA_DIR    = ${shell grep "^prefix ="       ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
SDPA_LIB    = ${SDPA_DIR}/lib/libsdpa.a 
MUMPS_DIR   = ${SDPA_DIR}/share/sdpa/mumps/build
MUMPS_INC   = -I${MUMPS_DIR}/include
MUMPS_LIBS  = -L${MUMPS_DIR}/lib -ldmumps -lmumps_common -lpord \
              -L${MUMPS_DIR}/libseq -lmpiseq
# For Ubuntu MUMPS (installed by apt-get)
# MUMPS_INC   =
# MUMPS_LIBS  = -ldmumps_seq
CC          = ${shell grep "^CC ="           ${SDPA_MAKEFILE} | cut -f2 -d=}
CFLAGS      = ${shell grep "^CFLAGS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
CXX         = ${shell grep "^CXX ="          ${SDPA_MAKEFILE} | cut -f2 -d=}
CXXFLAGS    = ${shell grep "^CXXFLAGS = "    ${SDPA_MAKEFILE} | cut -f2 -d=}
FC          = ${shell grep "^FC ="           ${SDPA_MAKEFILE} | cut -f2 -d=}
FCFLAGS     = ${shell grep "^FCFLAGS = "     ${SDPA_MAKEFILE} | cut -f2 -d=}
LAPACK_LIBS = ${shell grep "^LAPACK_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
BLAS_LIBS   = ${shell grep "^BLAS_LIBS = "   ${SDPA_MAKEFILE} | cut -f2 -d=}
pthread_lib = ${shell grep "^pthread_lib = " ${SDPA_MAKEFILE} | cut -f2 -d=}
FCLIBS      = ${shell grep "^FCLIBS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
###################################################################

TARGET = make.inc
all: ${TARGET}
${TARGET}:
	rm -f make.inc
	echo "SDPA_DIR    = " ${SDPA_DIR}  >> ${TARGET}
	echo "SDPA_LIB    = " ${SDPA_LIB}  >> ${TARGET} 
	echo "MUMPS_DIR   = " ${MUMPS_DIR} >> ${TARGET}
	echo "CC          = " ${CC} >> ${TARGET}
	echo "CFLAGS      = " ${CFLAGS} >> ${TARGET}
	echo "CXX         = " ${CXX} >> ${TARGET}
	echo "CXXFLAGS    = " ${CXXFLAGS} >> ${TARGET}
	echo "FC          = " ${FC} >> ${TARGET}
	echo "FCFLAGS     = " ${FCFLAGS} >> ${TARGET}
	echo "LAPACK_LIBS = " ${LAPACK_LIBS} >> ${TARGET}
	echo "BLAS_LIBS   = " ${BLAS_LIBS} >> ${TARGET}
	echo "pthead_lib  = " ${pthread_lib} >> ${TARGET}
	echo "FCLIBS      = " ${FCLIBS} >> ${TARGET}
	echo "MUMPS_INC   = " ${MUMPS_INC} >> ${TARGET}
	echo "MUMPS_LIBS = "  ${MUMPS_LIBS} >> ${TARGET}
	echo "SDPA_LIBS = " ${SDPA_LIB} ${MUMPS_LIBS}\
	       ${LAPACK_LIBS} ${BLAS_LIBS} \
	       ${pthread_lib} ${FCLIBS}  >> ${TARGET}

force: clean all
clean:
	rm -f make.inc *~
distclean: clean
install: all
uninstall:

=== libexample/Makefile ===

#############################################################
#  List of examples for callable-library
#
#  example1.cpp: Solve example1.dat-s using inputElements
#  example2.cpp: Solve example2.dat   using inputElements
#  example3.cpp: Solve example1.dat-s with initial point
#  example4.cpp: Solve twice with smaller epsilonStar
#  example5.cpp: Solve problems reading from file
#  example6.cpp: Solve problems reading from file with initial point
#
#############################################################

.PHONY: all lib clean cleanall distclean
.SUFFIXES: .exe

# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa

MAKE_INCLUDE_DIR=..
-include ${MAKE_INCLUDE_DIR}/make.inc
# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa


SRC = $(wildcard example?.cpp)
EXE = $(subst .cpp,.exe,$(SRC))

all: ${EXE}

%.exe: %.o
	${CXX} ${CXXFLAGS} -o $@ $< ${SDPA_LIBS} 
.cpp.o:
	${CXX} -c ${CXXFLAGS} \
		-I${SDPA_DIR}/include ${MUMPS_INC} -o $@ $<
clean:
	rm -f *.o *~
cleanall: clean
	rm -f *.exe
distclean: cleanall

install: all
uninstall:

=== mex/Makefile ===
#
# SDPA-M: $Revision: 7.3 $
#
# For Matlab
# $  make
# For Octave
# $ make COMPILE_ENVIRONMENT=octave

# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa

# This file is a component of SDPA
# Copyright (C) 2004-2010 SDPA Project

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

MAKE_INCLUDE_DIR=..
-include ${MAKE_INCLUDE_DIR}/make.inc
# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa


# Set manually the following MEX full path
MEX = "auto"
# for Linux (depends on version)
#MEX = /usr/local/matlab/MatlabR2008b/bin/mex
# for Mac (depends on version)
OS = $(shell uname)
ifeq ($(OS),Darwin)
	MEX = /Applications/MATLAB_R2008b.app/bin/mex
endif

# ---- USUALLY just 'mex' is used
MEX = mex

# Automatic search MEX full path by invoking matlab
ifeq ($(MEX),"auto")
	MEX = ${shell matlab -nodisplay -r "s=matlabroot; fprintf('%s\n',s);exit" | tail -2 | head -1 }/bin/mex
endif

MATLAB_LAPACK = -lmwlapack -lmwblas
DEF_FPIC = 
ARCH = $(shell uname -m)
ifeq ($(ARCH),x86_64)
        DEF_FPIC = -fPIC
endif

CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
LARGEARRAYOPTION = -largeArrayDims
ALL_INCLUDE = -I${SDPA_DIR}/include ${MUMPS_INC}
# ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${MATLAB_LAPACK} ${FCLIBS}
ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${pthread_lib} ${FCLIBS}

PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%zd\\\"

ifeq ($(COMPILE_ENVIRONMENT),octave)
        MEX = mkoctfile --mex
        CXXFLAGSOPTIONS =
        LARGEARRAYOPTION =
	PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%d\\\"
endif

ALL_OPTION = ${CXXFLAGSOPTIONS} ${LARGEARRAYOPTION} ${PRINTF_INT_STYLE}

all: mexsdpa mexSedumiWrap mexAggSDPcones mexDisAggSDPsol mexWriteSedumiToSDPA mexReadSDPAToSedumi mexReadOutput
# all: mexSedumiWrap

mexBinaryCheck:
	@echo "---------------------------------------------"
	@echo "Mex Compilation Start                        "
	@echo "---------------------------------------------"
	@if [ -f $(MEX) ]; then \
	echo "---------------------------------------------" ;\
	echo " We use                                      " ;\
	echo "   " $(MEX) ;\
	echo "   for Mex compilaton                        " ;\
	echo "---------------------------------------------" ;\
	else \
	echo "---------------------------------------------" ;\
	echo "Automatic search is failed,                  " ;\
	echo " Set the full path for mex command mannually " ;\
	echo " in "`pwd`"/Makekefile" ;\
	echo " and try 'make' in `pwd`                     " ;\
	echo "---------------------------------------------" ;\
	false ;\
	fi

mexsdpa:
	${MEX} ${ALL_OPTION} \
	  ${ALL_INCLUDE} \
	  mexsdpa.cpp mexFprintf.c \
	  ${ALL_LIBS}

mexSedumiWrap:
	${MEX} ${ALL_OPTION} \
	  ${ALL_INCLUDE} \
	  mexSedumiWrap.cpp mexFprintf.c \
	  ${ALL_LIBS}

mexAggSDPcones:
	${MEX} ${ALL_OPTION} \
	  mexAggSDPcones.cpp mexFprintf.c

mexDisAggSDPsol:
	${MEX} ${ALL_OPTION} \
	  mexDisAggSDPsol.cpp mexFprintf.c

mexWriteSedumiToSDPA:
	${MEX} ${ALL_OPTION} \
	  mexWriteSedumiToSDPA.cpp
mexReadSDPAToSedumi:
	${MEX} ${ALL_OPTION} \
	  mexReadSDPAToSedumi.cpp
mexReadOutput:
	${MEX} ${ALL_OPTION} \
	  mexReadOutput.cpp

# clean all generated files
clean:
	rm -f *~
	rm -f mexsdpa.mex* mexSedumiWrap.mex*
	rm -f mexAggSDPcones.mex* mexDisAggSDPsol.mex*
	rm -f mexFprintf.mex*
	rm -f mexWriteSedumiToSDPA.mex*
	rm -f mexReadSDPAToSedumi.mex* mexReadOutput.mex*
distclean: clean

#
# End of File
#

=== debian/changelog ===
sdpa (7.3.2.dfsg-1) unstable; urgency=low

  * New package release. (closes: #594463)
  * MUMPS_4.8.4.tar.gz was removed from the upstream tar.gz
  * Prototype packaing for 7.3.1 was by Guillaume Yziquel

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Tue, 31 Aug 2010 14:26:08 +0900

=== debian/control ===
Source: sdpa
Section: math
Priority: optional
Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
Build-Depends: cdbs, debhelper (>= 7), quilt,
   automake, autotools-dev, autoconf, gfortran,
   libatlas-base-dev,
   libmumps-seq-dev,
   octave3.2, octave3.2-headers
Standards-Version: 3.9.1
Homepage: http://sdpa.indsys.chuo-u.ac.jp/sdpa/

Package: sdpa
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, 
   libatlas-base-dev, libmumps-seq-4.9.2
Description: High-performance package for SemiDefinite Programs
 The software SDPA (SemiDefinite Programming Algorithm) is one of the most
 efficient  and  stable  software packages for solving SDPs based on the
 primal-dual interior-point method.
 SDP (SemiDefinite Program) is used for financial engineering, machine
 learning, control theory, sensor network problem, quantum chemistry,
 quantum information, combinatorial optimizaiton, polynomial
 optimization, and so on.
 Futher information on SDP and SDPA can be found at
 http://sdpa.indsys.chuo-u.ac.jp/sdpa/

Package: libsdpa-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
   libatlas-base-dev, libmumps-seq-dev
Description: High-performance package for SemiDefinite Programs
 This package provides some files [examples and callable library]
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'.
 Futher information on SDP and SDPA can be found at
 http://sdpa.indsys.chuo-u.ac.jp/sdpa/

Package: sdpam
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends},
   libatlas-base-dev, libmumps-seq-4.9.2,
   octave3.2, libsdpa-dev
Description: High-performance package for SemiDefinite Programs
 This package provides SDPA-M, Matlab/Octave interface of
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'
 and the compilation by Matlab can be found at
 /usr/share/doc/sdpa/README.
 Futher information on SDP and SDPA can be found at
 http://sdpa.indsys.chuo-u.ac.jp/sdpa/

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.
DEB_MAKE_INSTALL_TARGET =

# For Ubuntu libatlas-base-dev
DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
# For Debian libatlas-base-dev
ifeq ($(shell test -f /usr/lib/atlas-base/libatlas.a && echo 1),1)
	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
endif

DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops" 
# -g -O2 is added automatically


SDPA_DIR=$(CURDIR)/debian/sdpa
SDPAM_DIR=$(CURDIR)/debian/sdpam
LIBSDPA_DIR=$(CURDIR)/debian/libsdpa-dev
build/sdpam::
	cd $(CURDIR)/mex && \
	make \
	  MAKE_INCLUDE_DIR=../etc COMPILE_ENVIRONMENT=octave \
	  ALL_INCLUDE=-I../ SDPA_LIB=../libsdpa.a
binary-post-install/sdpam::
	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
	ln -s ../../../share/sdpa/mex/*.m .

## sdpa 7.3.3.dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -23,12 +23,11 @@
 ###################################################################
 SDPA_PACKAGE= ${shell grep "^PACKAGE_STRING =" ${SDPA_MAKEFILE} | awk '{printf("%s.%s",$$3,$$4)}'}
 
-SDPA_DIR    = ${shell grep "^prefix ="       ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+SDPA_DIR    = ${shell grep "^prefix ="         ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 SDPA_LIB    = ${SDPA_DIR}/lib/libsdpa.a 
-MUMPS_DIR   = ${SDPA_DIR}/share/sdpa/mumps/build
-MUMPS_INC   = -I${MUMPS_DIR}/include
-MUMPS_LIBS  = -L${MUMPS_DIR}/lib -ldmumps -lmumps_common -lpord \
-              -L${MUMPS_DIR}/libseq -lmpiseq
+MUMPS_DIR   = ${shell grep "^MUMPS_DIR ="      ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+MUMPS_INC   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+MUMPS_LIBS  = ${shell grep "^MUMPS_LIBS ="     ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 # For Ubuntu MUMPS (installed by apt-get)
 # MUMPS_INC   =
 # MUMPS_LIBS  = -ldmumps_seq

=== mex/Makefile ===
--- 
+++ 
@@ -59,11 +59,8 @@
 endif
 
 MATLAB_LAPACK = -lmwlapack -lmwblas
-DEF_FPIC = 
+DEF_FPIC = -fPIC
 ARCH = $(shell uname -m)
-ifeq ($(ARCH),x86_64)
-        DEF_FPIC = -fPIC
-endif
 
 CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
 LARGEARRAYOPTION = -largeArrayDims

=== mumps/Makefile ===
MUMPS_VER = 4.8.4

SDPA_MAKEFILE = ../Makefile
# This file is automatically made by './configure' script
###################################################################
# The following variables are set from
# the arguments given to './configure' script for building SDPA
###################################################################

CC          = ${shell grep "^CC ="        ${SDPA_MAKEFILE} | cut -f2 -d=}
CFLAGS      = ${shell grep "^CFLAGS = "   ${SDPA_MAKEFILE} | cut -f2 -d=}
CXX         = ${shell grep "^CXX ="       ${SDPA_MAKEFILE} | cut -f2 -d=}
CXXFLAGS    = ${shell grep "^CXXFLAGS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
FC          = ${shell grep "^FC ="        ${SDPA_MAKEFILE} | cut -f2 -d=}
FCFLAGS     = ${shell grep "^FCFLAGS = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
###################################################################

all: build/lib/libdmumps.a

build/lib/libdmumps.a:
	rm -rf build;
	tar xzf archive/MUMPS_${MUMPS_VER}.tar.gz
	mv MUMPS_${MUMPS_VER} build;
	cd build; cp Make.inc/Makefile.inc.generic.SEQ Makefile.inc;

	cd build; echo "CC = "   ${CC}       >> Makefile.inc;
	cd build; echo "FC = "   ${FC}       >> Makefile.inc;
	cd build; echo "FL = "   ${FC}       >> Makefile.inc;
	cd build; echo "OPTC = " ${CFLAGS}   >> Makefile.inc;
	cd build; echo "OPTF = " ${FCFLAGS}  >> Makefile.inc;
	cd build; echo "OPTL = " ${FCFLAGS}  >> Makefile.inc;
	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;
	cd build ; ${MAKE} d

clean:
	@echo "##########################################################"
	@echo "If you want to rebuild mumps dir, use 'make distclean'"
	@echo "##########################################################"

distclean: 
	rm -rf build

install: all
uninstall:

=== debian/changelog ===
sdpa (7.3.3.dfsg-1) unstable; urgency=low

  * New upstream
  * Change the configure script for MUMPS
  * Change the short descriptions of libsdpa-dev and sdpam
  * Add the dependency of octave3.2-common and
     octave3.2-headers to sdpam (closes: #603715)
  * Fix bugs for some architectures
  * Add some matlab source codes in mex directory

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 23 Nov 2010 19:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev,
    libmumps-seq-dev,
-   octave3.2, octave3.2-headers
+   octave3.2, octave3.2-common, octave3.2-headers
 Standards-Version: 3.9.1
 Homepage: http://sdpa.indsys.chuo-u.ac.jp/sdpa/
 
@@ -24,7 +24,7 @@
  learning, control theory, sensor network problem, quantum chemistry,
  quantum information, combinatorial optimizaiton, polynomial
  optimization, and so on.
- Futher information on SDP and SDPA can be found at
+ Further information on SDP and SDPA can be found at
  http://sdpa.indsys.chuo-u.ac.jp/sdpa/
 
 Package: libsdpa-dev
@@ -32,11 +32,11 @@
 Section: libdevel
 Depends: ${misc:Depends},
    libatlas-base-dev, libmumps-seq-dev
-Description: High-performance package for SemiDefinite Programs
+Description: Callable library and examples of SDPA
  This package provides some files [examples and callable library]
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
- Futher information on SDP and SDPA can be found at
+ Further information on SDP and SDPA can be found at
  http://sdpa.indsys.chuo-u.ac.jp/sdpa/
 
 Package: sdpam
@@ -44,13 +44,16 @@
 Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends},
    libatlas-base-dev, libmumps-seq-4.9.2,
-   octave3.2, libsdpa-dev
-Description: High-performance package for SemiDefinite Programs
+   octave3.2, octave3.2-common, octave3.2-headers,
+   libsdpa-dev
+Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface of
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'
  and the compilation by Matlab can be found at
  /usr/share/doc/sdpa/README.
- Futher information on SDP and SDPA can be found at
+ The summary of each command can be found in
+ /usr/share/sdpa/mex/CommandList.txt
+ Further information on SDP and SDPA can be found at
  http://sdpa.indsys.chuo-u.ac.jp/sdpa/

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_VERBOSE=1
 
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 # include /usr/share/cdbs/1/class/makefile.mk
@@ -17,9 +17,7 @@
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
 endif
 
-DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops" 
-# -g -O2 is added automatically
-
+# DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam
@@ -32,3 +30,5 @@
 binary-post-install/sdpam::
 	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
 	ln -s ../../../share/sdpa/mex/*.m .
+	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
+	ln -s ../../../share/sdpa/mex/CommandList.txt .

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://sdpa.indsys.chuo-u.ac.jp/sdpa/download.html files/sdpa(.+).tar.gz

## sdpa 7.3.4.dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -26,11 +26,8 @@
 SDPA_DIR    = ${shell grep "^prefix ="         ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 SDPA_LIB    = ${SDPA_DIR}/lib/libsdpa.a 
 MUMPS_DIR   = ${shell grep "^MUMPS_DIR ="      ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
-MUMPS_INC   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
+MUMPS_INCLUDE   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 MUMPS_LIBS  = ${shell grep "^MUMPS_LIBS ="     ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
-# For Ubuntu MUMPS (installed by apt-get)
-# MUMPS_INC   =
-# MUMPS_LIBS  = -ldmumps_seq
 CC          = ${shell grep "^CC ="           ${SDPA_MAKEFILE} | cut -f2 -d=}
 CFLAGS      = ${shell grep "^CFLAGS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
 CXX         = ${shell grep "^CXX ="          ${SDPA_MAKEFILE} | cut -f2 -d=}
@@ -39,7 +36,8 @@
 FCFLAGS     = ${shell grep "^FCFLAGS = "     ${SDPA_MAKEFILE} | cut -f2 -d=}
 LAPACK_LIBS = ${shell grep "^LAPACK_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 BLAS_LIBS   = ${shell grep "^BLAS_LIBS = "   ${SDPA_MAKEFILE} | cut -f2 -d=}
-pthread_lib = ${shell grep "^pthread_lib = " ${SDPA_MAKEFILE} | cut -f2 -d=}
+PTHREAD_INCLUDE= ${shell grep "^PTHREAD_INCLUDE = " ${SDPA_MAKEFILE} | cut -f2 -d=}
+PTHREAD_LIBS= ${shell grep "^PTHREAD_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 FCLIBS      = ${shell grep "^FCLIBS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
 ###################################################################
 
@@ -58,13 +56,14 @@
 	echo "FCFLAGS     = " ${FCFLAGS} >> ${TARGET}
 	echo "LAPACK_LIBS = " ${LAPACK_LIBS} >> ${TARGET}
 	echo "BLAS_LIBS   = " ${BLAS_LIBS} >> ${TARGET}
-	echo "pthead_lib  = " ${pthread_lib} >> ${TARGET}
+	echo "PTHREAD_INCLUDE= " ${PTHREAD_INCLUDE} >> ${TARGET}
+	echo "PTHREAD_LIBS= " ${PTHREAD_LIBS} >> ${TARGET}
 	echo "FCLIBS      = " ${FCLIBS} >> ${TARGET}
-	echo "MUMPS_INC   = " ${MUMPS_INC} >> ${TARGET}
+	echo "MUMPS_INCLUDE = " ${MUMPS_INCLUDE} >> ${TARGET}
 	echo "MUMPS_LIBS = "  ${MUMPS_LIBS} >> ${TARGET}
 	echo "SDPA_LIBS = " ${SDPA_LIB} ${MUMPS_LIBS}\
 	       ${LAPACK_LIBS} ${BLAS_LIBS} \
-	       ${pthread_lib} ${FCLIBS}  >> ${TARGET}
+	       ${FCLIBS} ${PTHREAD_LIBS}  >> ${TARGET}
 
 force: clean all
 clean:

=== mex/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 # make MAKE_INCLUDE_DIR=/usr/share/sdpa
 #  or 
 # make MAKE_INCLUDE_DIR=/usr/local/share/sdpa
+# In addition, for Octave, you should try
+# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa COMPILE_ENVIRONMENT=octave
 
 # This file is a component of SDPA
 # Copyright (C) 2004-2010 SDPA Project
@@ -64,9 +66,9 @@
 
 CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
 LARGEARRAYOPTION = -largeArrayDims
-ALL_INCLUDE = -I${SDPA_DIR}/include ${MUMPS_INC}
+ALL_INCLUDE = -I${SDPA_DIR}/include ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE}
 # ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${MATLAB_LAPACK} ${FCLIBS}
-ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${pthread_lib} ${FCLIBS}
+ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${PTHREAD_LIBS} ${FCLIBS}
 
 PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%zd\\\"

=== mumps/Makefile ===
--- 
+++ 
@@ -13,6 +13,10 @@
 CXXFLAGS    = ${shell grep "^CXXFLAGS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 FC          = ${shell grep "^FC ="        ${SDPA_MAKEFILE} | cut -f2 -d=}
 FCFLAGS     = ${shell grep "^FCFLAGS = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
+PTHREAD_INCLUDE = ${shell grep "^PTHREAD_INCLUDE = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
+AR          = ${shell grep "^AR = "       ${SDPA_MAKEFILE} | cut -f2 -d=}
+RANLIB      = ${shell grep "^RANLIB = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
+
 ###################################################################
 
 all: build/lib/libdmumps.a
@@ -26,11 +30,13 @@
 	cd build; echo "CC = "   ${CC}       >> Makefile.inc;
 	cd build; echo "FC = "   ${FC}       >> Makefile.inc;
 	cd build; echo "FL = "   ${FC}       >> Makefile.inc;
-	cd build; echo "OPTC = " ${CFLAGS}   >> Makefile.inc;
-	cd build; echo "OPTF = " ${FCFLAGS}  >> Makefile.inc;
-	cd build; echo "OPTL = " ${FCFLAGS}  >> Makefile.inc;
+	cd build; echo "OPTC = " ${CFLAGS}  ${PTHREAD_INCLUDE} >> Makefile.inc;
+	cd build; echo "OPTF = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
+	cd build; echo "OPTL = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
 	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;
+	cd build; echo "AR = " ${AR} rv >> Makefile.inc;
+	cd build; echo "RANLIB = " ${RANLIB} >> Makefile.inc;
 	cd build ; ${MAKE} d
 
 clean:

=== debian/changelog ===
sdpa (7.3.4.dfsg-1) unstable; urgency=low

   * New upstream
   * Modify debian/rules for some architectures
   * Change the configure script for mingw envrionment

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Mon, 06 Dec 2010 15:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
 Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
-Build-Depends: cdbs, debhelper (>= 7), quilt,
+Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev,
    libmumps-seq-dev,

## sdpa 7.3.5.dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is a component of SDPA
-# Copyright (C) 2004-2010 SDPA Project
+# Copyright (C) 2004-2011 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -39,12 +39,14 @@
 PTHREAD_INCLUDE= ${shell grep "^PTHREAD_INCLUDE = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 PTHREAD_LIBS= ${shell grep "^PTHREAD_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 FCLIBS      = ${shell grep "^FCLIBS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
+VERSION     = ${shell grep "^VERSION = "     ${SDPA_MAKEFILE} | cut -f2 -d=}
 ###################################################################
 
 TARGET = make.inc
 all: ${TARGET}
 ${TARGET}:
 	rm -f make.inc
+	echo "VERSION     = " ${VERSION}   >> ${TARGET}
 	echo "SDPA_DIR    = " ${SDPA_DIR}  >> ${TARGET}
 	echo "SDPA_LIB    = " ${SDPA_LIB}  >> ${TARGET} 
 	echo "MUMPS_DIR   = " ${MUMPS_DIR} >> ${TARGET}

=== mex/Makefile ===
--- 
+++ 
@@ -15,8 +15,17 @@
 # In addition, for Octave, you should try
 # make MAKE_INCLUDE_DIR=/usr/local/share/sdpa COMPILE_ENVIRONMENT=octave
 
+
+# To compile with mingw, the following command is a sample.
+# Your need to modify directory names and compiler names.
+# make MEX="i586-mingw32msvc-g++ -shared" COMPILE_ENVIRONMENT=octave \
+# PRINTF_INT_STYLE=-DPRINTF_INT_STYLE=\\\"%zd\\\" \
+# OUTPUT_FORMAT="-o \$@.mexw32" \
+# MATLAB_INCLUDE="-Imatlab-extern/include" \
+# MATLAB_LIBS="-I/matlab-extern/microsoft/libmx.lib -I/matlab-extern/microsoft/libmex.lib" \
+
 # This file is a component of SDPA
-# Copyright (C) 2004-2010 SDPA Project
+# Copyright (C) 2004-2011 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -71,6 +80,8 @@
 ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${PTHREAD_LIBS} ${FCLIBS}
 
 PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%zd\\\"
+# Output format is usually automatically set by mex command.
+OUTPUT_FORMAT =
 
 ifeq ($(COMPILE_ENVIRONMENT),octave)
         MEX = mkoctfile --mex
@@ -106,33 +117,45 @@
 
 mexsdpa:
 	${MEX} ${ALL_OPTION} \
-	  ${ALL_INCLUDE} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_INCLUDE} ${MATLAB_INCLUDE} \
 	  mexsdpa.cpp mexFprintf.c \
-	  ${ALL_LIBS}
+	  ${MATLAB_LIBS} ${ALL_LIBS} 
 
 mexSedumiWrap:
 	${MEX} ${ALL_OPTION} \
-	  ${ALL_INCLUDE} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_INCLUDE}  ${MATLAB_INCLUDE} \
 	  mexSedumiWrap.cpp mexFprintf.c \
-	  ${ALL_LIBS}
+	  ${MATLAB_LIBS} ${ALL_LIBS} 
 
 mexAggSDPcones:
-	${MEX} ${ALL_OPTION} \
-	  mexAggSDPcones.cpp mexFprintf.c
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexAggSDPcones.cpp mexFprintf.c ${MATLAB_LIBS}
 
 mexDisAggSDPsol:
-	${MEX} ${ALL_OPTION} \
-	  mexDisAggSDPsol.cpp mexFprintf.c
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexDisAggSDPsol.cpp mexFprintf.c ${MATLAB_LIBS}
 
 mexWriteSedumiToSDPA:
-	${MEX} ${ALL_OPTION} \
-	  mexWriteSedumiToSDPA.cpp
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexWriteSedumiToSDPA.cpp ${MATLAB_LIBS}
 mexReadSDPAToSedumi:
-	${MEX} ${ALL_OPTION} \
-	  mexReadSDPAToSedumi.cpp
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexReadSDPAToSedumi.cpp ${MATLAB_LIBS}
 mexReadOutput:
-	${MEX} ${ALL_OPTION} \
-	  mexReadOutput.cpp
+	${MEX} \
+	  ${OUTPUT_FORMAT} \
+	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
+	  mexReadOutput.cpp ${MATLAB_LIBS}
 
 # clean all generated files
 clean:

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-MUMPS_VER = 4.8.4
+MUMPS_VER = 4.9.2.dfsg
+MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile
 # This file is automatically made by './configure' script
@@ -21,10 +22,10 @@
 
 all: build/lib/libdmumps.a
 
-build/lib/libdmumps.a:
+build/lib/libdmumps.a:${MUMPS_TAR_FILE}
 	rm -rf build;
-	tar xzf archive/MUMPS_${MUMPS_VER}.tar.gz
-	mv MUMPS_${MUMPS_VER} build;
+	tar xzf ${MUMPS_TAR_FILE}
+	mv mumps-${MUMPS_VER}/ build;
 	cd build; cp Make.inc/Makefile.inc.generic.SEQ Makefile.inc;
 
 	cd build; echo "CC = "   ${CC}       >> Makefile.inc;
@@ -44,8 +45,14 @@
 	@echo "If you want to rebuild mumps dir, use 'make distclean'"
 	@echo "##########################################################"
 
+${MUMPS_TAR_FILE}:
+	@echo "By wget command, downloading a file from"
+	@echo "http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz"
+	@echo "If fail, you manually put the file into " `pwd` "directory."
+	wget http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz
+
 distclean: 
-	rm -rf build
+	rm -rf build ${MUMPS_TAR_FILE}
 
 install: all
 uninstall:

=== debian/changelog ===
sdpa (7.3.5.dfsg-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:22:41 +0000

sdpa (7.3.5.dfsg-1) unstable; urgency=low

   * New upstream
     + Add option --version
     + Fix bugs for some SDPs
     + Remove MUMPS tar.gz in upstream file
     + Change official homepage to sourceforge
   * Change priority from optional to extra
   * Update Homepage field
   * Update Standards-Version to 3.9.2
   * Remove Guillaume Yziquel from Uploaders
   * Change the copyright-years to include the year 2011

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Thu, 05 May 2011 19:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: sdpa
 Section: math
-Priority: optional
+Priority: extra
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
-Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev,
    libmumps-seq-dev,
    octave3.2, octave3.2-common, octave3.2-headers
-Standards-Version: 3.9.1
-Homepage: http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+Standards-Version: 3.9.2
+Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
@@ -25,7 +24,7 @@
  quantum information, combinatorial optimizaiton, polynomial
  optimization, and so on.
  Further information on SDP and SDPA can be found at
- http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+ http://sdpa.sourceforge.net/
 
 Package: libsdpa-dev
 Architecture: any
@@ -37,7 +36,7 @@
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
  Further information on SDP and SDPA can be found at
- http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+ http://sdpa.sourceforge.net/
 
 Package: sdpam
 Architecture: any
@@ -55,5 +54,5 @@
  The summary of each command can be found in
  /usr/share/sdpa/mex/CommandList.txt
  Further information on SDP and SDPA can be found at
- http://sdpa.indsys.chuo-u.ac.jp/sdpa/
+ http://sdpa.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 # Add here any variable or target overrides you need.
 DEB_MAKE_INSTALL_TARGET =
 
-# For Ubuntu libatlas-base-dev
+# For Old libatlas-base-dev
 DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
-# For Debian libatlas-base-dev
-ifeq ($(shell test -f /usr/lib/atlas-base/libatlas.a && echo 1),1)
+# For New libatlas-base-dev
+ifeq ($(shell test -f /usr/lib/atlas-base/atlas/libblas.a && echo 1),1)
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
 endif

## sdpa 7.3.8+dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is a component of SDPA
-# Copyright (C) 2004-2011 SDPA Project
+# Copyright (C) 2004-2012 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== libexample/Makefile ===
--- 
+++ 
@@ -40,7 +40,8 @@
 	${CXX} ${CXXFLAGS} -o $@ $< ${SDPA_LIBS} 
 .cpp.o:
 	${CXX} -c ${CXXFLAGS} \
-		-I${SDPA_DIR}/include ${MUMPS_INC} -o $@ $<
+		-I${SDPA_DIR}/include ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE} \
+	        -o $@ $<
 clean:
 	rm -f *.o *~
 cleanall: clean

=== mex/Makefile ===
--- 
+++ 
@@ -24,8 +24,16 @@
 # MATLAB_INCLUDE="-Imatlab-extern/include" \
 # MATLAB_LIBS="-I/matlab-extern/microsoft/libmx.lib -I/matlab-extern/microsoft/libmex.lib" \
 
+
+# for only SDPA-Project members
+# set DEVELOPEMENT_STAGE=1 to compile without 'make install'
+# For example
+# make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 
+# In addition, for Octave, you should try
+# make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 COMPILE_ENVIRONMENT=octave
+
 # This file is a component of SDPA
-# Copyright (C) 2004-2011 SDPA Project
+# Copyright (C) 2004-2012 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -75,7 +83,13 @@
 
 CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
 LARGEARRAYOPTION = -largeArrayDims
-ALL_INCLUDE = -I${SDPA_DIR}/include ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE}
+
+SDPA_INCLUDE = -I${SDPA_DIR}/include
+ifeq ($(DEVELOPEMENT_STAGE),1)
+	SDPA_INCLUDE = -I..
+	SDPA_LIB = ../libsdpa.a
+endif
+ALL_INCLUDE = ${SDPA_INCLUDE} ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE}
 # ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${MATLAB_LAPACK} ${FCLIBS}
 ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${PTHREAD_LIBS} ${FCLIBS}
 
@@ -84,7 +98,7 @@
 OUTPUT_FORMAT =
 
 ifeq ($(COMPILE_ENVIRONMENT),octave)
-        MEX = mkoctfile --mex
+        MEX = CC=${CC} CXX=${CXX} mkoctfile --mex
         CXXFLAGSOPTIONS =
         LARGEARRAYOPTION =
 	PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%d\\\"

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 4.9.2.dfsg
+MUMPS_VER = 4.10.0.dfsg
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile
@@ -36,7 +36,7 @@
 	cd build; echo "OPTL = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
 	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;
-	cd build; echo "AR = " ${AR} rv >> Makefile.inc;
+	cd build; echo "AR = " ${AR} rv " " >> Makefile.inc;
 	cd build; echo "RANLIB = " ${RANLIB} >> Makefile.inc;
 	cd build ; ${MAKE} d
 
@@ -47,9 +47,9 @@
 
 ${MUMPS_TAR_FILE}:
 	@echo "By wget command, downloading a file from"
-	@echo "http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz"
+	@echo "http://ftp.de.debian.org/debian/pool/main/m/mumps/${MUMPS_TAR_FILE}"
 	@echo "If fail, you manually put the file into " `pwd` "directory."
-	wget http://ftp.de.debian.org/debian/pool/main/m/mumps/mumps_4.9.2.dfsg.orig.tar.gz
+	wget http://ftp.de.debian.org/debian/pool/main/m/mumps/${MUMPS_TAR_FILE}
 
 distclean: 
 	rm -rf build ${MUMPS_TAR_FILE}

=== debian/changelog ===
sdpa (7.3.8+dfsg-1) unstable; urgency=low
   * New upstream
     + Fix inside 'index' to 'index2'
        in changeIndex of mexReadSDPAToSedumi.cpp (closes: #667369)
   * Change Dependency from octave3.2 to octave (closes: #666927)
   * Change Dendency from openblas to atlas

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sat, 07 Apr 2012 10:00:00 +0900

sdpa (7.3.7+dfsg-1) unstable; urgency=low
   * New upstream
     + Fix some spell-miss
     + Modify sdpa.1 to remove the warning hyphen-used-as-minus-sign
   * Change debian/ruls to link with
        libatlas-base-dev 3.8 and 3.6
   * Change dfsg version name from period to plus
        to remove the warning dfsg-version-with-period
   * Remove Section:math in sdpa and sdpam from debian/control
        to remove the warning binary-control-field-duplicates-source

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Mon, 12 Mar 2012 10:00:00 +0900

sdpa (7.3.6.dfsg-2) unstable; urgency=low
   * Change Dendency so that if openblas is available,
       use openblas; otherwise atlas. (closes: #660596)
   * Update Standards-Version to 3.9.3

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Mon, 05 Mar 2012 10:00:00 +0900

sdpa (7.3.6.dfsg-1) unstable; urgency=low

   * New upstream
     + Print error messages for reading errors
     + Fix bugs for some SDPs
     + Fix some spell-miss
     + Delete DIMACS_PRINT macro (already replaced by --dimacs option)
   * Change Dependency from libmumps-seq-4.9.2 to libmumps-seq-4.10.0
   * Change Dependency from libatlas-dev to libopenblas-dev and liblapack-pic
   * Change the copyright-years to include the year 2012

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 01 Feb 2012 14:00:00 +0900

=== debian/control ===
Source: sdpa
Section: math
Priority: extra
Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
Build-Depends: cdbs, debhelper (>= 7), 
   automake, autotools-dev, autoconf, gfortran,
   libatlas-base-dev, libmumps-seq-dev, liboctave-dev
Standards-Version: 3.9.3
Homepage: http://sdpa.sourceforge.net/

Package: sdpa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
   libatlas-base-dev, libmumps-seq-4.10.0
Description: High-performance package for SemiDefinite Programs
 The software SDPA (SemiDefinite Programming Algorithm) is one of the most
 efficient and stable  software packages for solving SDPs based on the
 primal-dual interior-point method.
 SDP (SemiDefinite Program) is used for financial engineering, machine
 learning, control theory, sensor network problem, quantum chemistry,
 quantum information, combinatorial optimizaiton, polynomial
 optimization, and so on.
 Further information on SDP and SDPA can be found at
 http://sdpa.sourceforge.net/

Package: libsdpa-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
   libatlas-base-dev, libmumps-seq-dev
Description: Callable library and examples of SDPA
 This package provides some files [examples and callable library]
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'.
 Further information on SDP and SDPA can be found at
 http://sdpa.sourceforge.net/

Package: sdpam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
   libatlas-base-dev, libmumps-seq-4.10.0,
   octave, libsdpa-dev
Description: Matlab/Octave interface of SDPA
 This package provides SDPA-M, Matlab/Octave interface of
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'.
 To use SDPA-M on Octave, add /usr/lib/sdpa/mex
 to your Octave path.
 The summary of each command can be found in
 /usr/share/sdpa/mex/CommandList.txt
 The compilation by Matlab can be found at
 /usr/share/doc/sdpa/README.
 Further information on SDP and SDPA can be found at
 http://sdpa.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,14 @@
 # Add here any variable or target overrides you need.
 DEB_MAKE_INSTALL_TARGET =
 
-# For Old libatlas-base-dev
+# DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
+# For old libatlas-base-dev
 DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
-# For New libatlas-base-dev
-ifeq ($(shell test -f /usr/lib/atlas-base/atlas/libblas.a && echo 1),1)
+# For new libatlas-base-dev
+ifeq ($(shell test -f /usr/lib/atlas-base/atlas/liblapack.a && echo 1),1)
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
 endif
 
-# DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam

## sdpa 7.3.9+dfsg

=== etc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is a component of SDPA
-# Copyright (C) 2004-2012 SDPA Project
+# Copyright (C) 2004-2013 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,14 +28,15 @@
 MUMPS_DIR   = ${shell grep "^MUMPS_DIR ="      ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 MUMPS_INCLUDE   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
 MUMPS_LIBS  = ${shell grep "^MUMPS_LIBS ="     ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
-CC          = ${shell grep "^CC ="           ${SDPA_MAKEFILE} | cut -f2 -d=}
-CFLAGS      = ${shell grep "^CFLAGS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
-CXX         = ${shell grep "^CXX ="          ${SDPA_MAKEFILE} | cut -f2 -d=}
-CXXFLAGS    = ${shell grep "^CXXFLAGS = "    ${SDPA_MAKEFILE} | cut -f2 -d=}
-FC          = ${shell grep "^FC ="           ${SDPA_MAKEFILE} | cut -f2 -d=}
-FCFLAGS     = ${shell grep "^FCFLAGS = "     ${SDPA_MAKEFILE} | cut -f2 -d=}
-LAPACK_LIBS = ${shell grep "^LAPACK_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
-BLAS_LIBS   = ${shell grep "^BLAS_LIBS = "   ${SDPA_MAKEFILE} | cut -f2 -d=}
+CC          = ${shell grep "^CC ="           ${SDPA_MAKEFILE} | cut -f2  -d=}
+CFLAGS      = ${shell grep "^CFLAGS = "      ${SDPA_MAKEFILE} | cut -f2- -d=}
+CXX         = ${shell grep "^CXX ="          ${SDPA_MAKEFILE} | cut -f2  -d=}
+CXXFLAGS    = ${shell grep "^CXXFLAGS = "    ${SDPA_MAKEFILE} | cut -f2- -d=}
+CPPFLAGS    = ${shell grep "^CPPFLAGS = "    ${SDPA_MAKEFILE} | cut -f2- -d=}
+FC          = ${shell grep "^FC ="           ${SDPA_MAKEFILE} | cut -f2  -d=}
+FCFLAGS     = ${shell grep "^FCFLAGS = "     ${SDPA_MAKEFILE} | cut -f2- -d=}
+LAPACK_LIBS = ${shell grep "^LAPACK_LIBS = " ${SDPA_MAKEFILE} | cut -f2  -d=}
+BLAS_LIBS   = ${shell grep "^BLAS_LIBS = "   ${SDPA_MAKEFILE} | cut -f2  -d=}
 PTHREAD_INCLUDE= ${shell grep "^PTHREAD_INCLUDE = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 PTHREAD_LIBS= ${shell grep "^PTHREAD_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
 FCLIBS      = ${shell grep "^FCLIBS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
@@ -54,6 +55,7 @@
 	echo "CFLAGS      = " ${CFLAGS} >> ${TARGET}
 	echo "CXX         = " ${CXX} >> ${TARGET}
 	echo "CXXFLAGS    = " ${CXXFLAGS} >> ${TARGET}
+	echo "CPPFLAGS    = " ${CPPFLAGS} >> ${TARGET}
 	echo "FC          = " ${FC} >> ${TARGET}
 	echo "FCFLAGS     = " ${FCFLAGS} >> ${TARGET}
 	echo "LAPACK_LIBS = " ${LAPACK_LIBS} >> ${TARGET}

=== mex/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 COMPILE_ENVIRONMENT=octave
 
 # This file is a component of SDPA
-# Copyright (C) 2004-2012 SDPA Project
+# Copyright (C) 2004-2013 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -98,8 +98,8 @@
 OUTPUT_FORMAT =
 
 ifeq ($(COMPILE_ENVIRONMENT),octave)
-        MEX = CC=${CC} CXX=${CXX} mkoctfile --mex
-        CXXFLAGSOPTIONS =
+        MEX = CC=${CC} CXX=${CXX} CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" CPPFLAGS="${CPPFLAGS}" mkoctfile --mex
+        CXXFLAGSOPTIONS = 
         LARGEARRAYOPTION =
 	PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%d\\\"
 endif
@@ -160,11 +160,13 @@
 	  ${OUTPUT_FORMAT} \
 	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
 	  mexWriteSedumiToSDPA.cpp ${MATLAB_LIBS}
+
 mexReadSDPAToSedumi:
 	${MEX} \
 	  ${OUTPUT_FORMAT} \
 	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
 	  mexReadSDPAToSedumi.cpp ${MATLAB_LIBS}
+
 mexReadOutput:
 	${MEX} \
 	  ${OUTPUT_FORMAT} \

=== debian/changelog ===
sdpa (7.3.9+dfsg-1ubuntu1) artful; urgency=medium

  * Fix build failure with providing mumps system libraries
    (See: Debian bug: #868505)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2017 09:46:15 +0200

sdpa (7.3.9+dfsg-1) unstable; urgency=low
   * New upstream
     + Assign the library files to link by full paths
     + Rename configure.in to configure.ac
     + Add CPPFLAGS to configure.ac
   * Change the compilation by gcc-4.8 (closes: #701356)
   * Update Standards-Version to 3.9.4
   * Update debian/copyright into the DEP5 format

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sun, 07 Jul 2013 10:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libatlas-base-dev, libmumps-seq-dev, liboctave-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libatlas-base-dev, libmumps-seq-4.10.0
+   libatlas-base-dev, libmumps-seq-5.1.1
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libatlas-base-dev, libmumps-seq-4.10.0,
+   libatlas-base-dev, libmumps-seq-5.1.1,
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface of

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
+# DH_VERBOSE is used for test building
+# export DH_VERBOSE=1
 
 # include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -11,11 +12,17 @@
 DEB_MAKE_INSTALL_TARGET =
 
 # DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
+# DEB_MAKE_ENVVARS = CFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops" CXXFLAGS="-g -O2 -D_REENTRANT -Wall -fPIC -funroll-all-loops" FCFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops"
+
+CFLAGS   += -Wall -fPIC -funroll-all-loops
+CXXFLAGS += -Wall -fPIC -funroll-all-loops
+FCFLAGS  += -Wall -fPIC -funroll-all-loops
+
 # For old libatlas-base-dev
 DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
 # For new libatlas-base-dev
 ifeq ($(shell test -f /usr/lib/atlas-base/atlas/liblapack.a && echo 1),1)
-	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a"
+	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas-base/atlas/liblapack.a" --with-blas="/usr/lib/atlas-base/atlas/libblas.a" --with-mumps-libs="-ldmumps_seq -lmumps_common_seq -lmpiseq_seq -lpord_seq"
 endif
